Package it.ernytech.tdlib

## Class TdApi.AddChatMember

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddChatMember

Enclosing class:
  TdApi

    public static class TdApi.AddChatMember
    extends TdApi.Function

Adds a new member to a chat. Members can't be added to private or secret chats. Members will not be added until the chat state has been synchronized with the server.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `forwardLimit` The number of earlier messages from the chat to be forwarded to the new member; up to 300.
`int` `userId` Identifier of the user.

### Constructor Summary

Constructors
`AddChatMember()` Default constructor.
`AddChatMember​(long chatId, int userId, int forwardLimit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### userId

    public int userId

Identifier of the user.

#### forwardLimit

    public int forwardLimit

The number of earlier messages from the chat to be forwarded to the new member; up to 300. Ignored for supergroups and channels.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddChatMember

    public AddChatMember()

Default constructor.

#### AddChatMember

    public AddChatMember​(long chatId,
                         int userId,
                         int forwardLimit)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `userId` - Identifier of the user.
  `forwardLimit` - The number of earlier messages from the chat to be forwarded to the new member; up to 300. Ignored for supergroups and channels.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR